Page MenuHomePhabricator

[Segmentation] Region Growing 3D with 4D dataset not working
Closed, ResolvedPublic

Description

Select MITK-Data/3D+t-Heart dataset:

  1. Create new Segmentation
  2. Generate a static or dynamic mask
  3. Select Region Growing 3D
  4. Place seedpoint (anywhere on the image)

Results in:

ERROR: Unhandled excaption caught in ExecuteAction(): \core\include\mitkImagePixelAccessor.h:73:
Invalid ImageAccessor: The Dimensions of ImageAccessor and ImageDataItem are not equal. m_ImageDataItem->GetDimension(): 4 , VDimension: 3

Revisions and Commits

rMITK MITK
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision

Event Timeline

gaoh triaged this task as Normal priority.Jan 8 2020, 3:51 PM
gaoh created this task.
kislinsk edited projects, added MITK (2018-04-4); removed MITK.Jan 9 2020, 2:52 PM
kislinsk edited projects, added MITK; removed MITK (2018-04-4).Feb 11 2020, 4:42 PM
kislinsk renamed this task from Region Growing 3D with 4D dataset not working to [Segmentation] Region Growing 3D with 4D dataset not working.Apr 15 2020, 7:38 AM
kislinsk edited projects, added MITK (2020); removed MITK, Restricted Project.
kislinsk moved this task from Backlog to Segmentation on the MITK (2020) board.
thomass added a subscriber: thomass.

@gaoh: Can you tell what you mean by dynamic mask?

Discussion:

  • Should the expected behavior be that only the current timestep is taken into consideration during 3D region growing? Or is the goal to have a real 4D region growing?
  • Consequently, should the outcome be a
    1. 3D image of the current timestep?
    2. 4D image with one timestep containing a Segmentation
    3. 4D Image with region growing over location and time?
gaoh added a comment.Jun 8 2020, 2:55 PM

@gaoh: Can you tell what you mean by dynamic mask?

I have no idea. Could it just be a "normal new Segmentation"? Probably I wrote that because it was a step in the test description.

thomass claimed this task.Fri, Jun 19, 9:49 AM

The error described above results from the function add seed that currently takes 3D images only. It can be solved with using a timeselector to crop the current time step and set a 3D seed.
However, the task is related to the discussion on time points versus time steps and should be revised accordingly.

With the timeselector, the region growing uses only the selected timestep and creates a 4D segmentation in which all but the current timesteps are empty.
Right now different 3D tools handle 4D differently (i.e. Otsu assigns the same segmentation to all timesteps which is wrong and threshold performs a threshold for each timestep)

thomass added a revision: Restricted Differential Revision.Tue, Jun 30, 11:26 AM
thomass closed this task as Resolved.Wed, Jul 8, 10:29 AM